| Home | Libraries | People | FAQ | More

###### row::row (4 of 4 overloads)

Constructs a row from a `row_view`.

###### Synopsis

    row(
        row_view r);

###### Exception safety

Strong guarantee. Internal allocations may throw.

###### Object lifetimes

`*this` lifetime will be independent of `r`'s (the contents of `r` will be copied into `*this`).

###### Complexity

Linear on `r.size()`.